---
title: Retrieve an account user
url: https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/operations/getaccountuser/
image: https://developers.wpengine.com/og/docs/managed-hosting-platform/api/reference/operations/getaccountuser.png
---

# Retrieve an account user

GET

/accounts/{account_id}/account_users/{user_id}

Select code sample

```sh
curl --request GET \
  --url https://api.wpengineapi.com/v1/accounts/eeda3227-9a39-46ae-9e14-20958bb4e6c9/account_users/a1b2c3d4-e5f6-41b2-b3d4-e5f6a1b2c3d4 \
  --header 'Authorization: Basic <credentials>'
```

-

Returns the account user with the given ID, including their roles, invitation status and whether multi-factor authentication is enabled.

## Authorizations

- **[basicAuth](https://developers.wpengine.com/docs/managed-hosting-platform/api/reference/#basicauth)**

## Parameters

### Path Parameters

**account_id**

required

string format: uuid

ID of account

#### Example

```
eeda3227-9a39-46ae-9e14-20958bb4e6c9
```

**user_id**

required

string format: uuid

ID of the user

#### Example

```
a1b2c3d4-e5f6-41b2-b3d4-e5f6a1b2c3d4
```

## Responses

### 200

Returns an `AccountUser` object.

Media typeapplication/json

object

**user_id**

required

The user ID

string format: uuid

**account_id**

required

The account ID

string format: uuid

**first_name**

required

The first name of the user

string

**last_name**

required

The last name of the user

string

**email**

required

The email of the user

string

**phone**

required

The phone number of the user

string

nullable

**invite_accepted**

required

Whether or not the user has accepted their invitation

boolean

**mfa_enabled**

required

Whether or not the user has multi-factor authentication enabled

boolean

**roles**

required

The user roles

string

**last_owner**

Whether or not this owner is the last on the account. Only shows with users that have owner level roles.

boolean

nullable

**installs**

An array of installs tied to a partial user.

Array\<object>

nullable

object

**id**

The ID of the install

string

**name**

The name of the install

string

#### Example

```json
{
  "user_id": "28c78b6d-c2da-4f09-85f5-1ad588089b2d",
  "account_id": "eeda3227-9a39-46ae-9e14-20958bb4e6c9",
  "first_name": "Joe",
  "last_name": "Smith",
  "email": "joeSmith@test.com",
  "phone": "1234567890",
  "invite_accepted": false,
  "mfa_enabled": true,
  "roles": "billing, partial",
  "last_owner": false,
  "installs": [
    {
      "id": "3hda2d4h-9a39-o20x-9e14-20958bb4ekd8",
      "name": "install1"
    }
  ]
}
```

### 401

Authentication Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Bad Credentials"
}
```

### 403

Not authorized

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "You don't have permission to perform that action"
}
```

### 404

Not found

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

**documentation_url**

(Optional) A URL where documentation regarding this specific error can be found

string

#### Example

```json
{
  "message": "Not Found"
}
```

### 429

Too many requests

### 500

Internal Server Error

Media typeapplication/json

object

**message**

required

A message regarding the error that occurred on the server

string

#### Example

```json
{
  "message": "An unexpected error occurred, please try again in a few minutes"
}
```

### 503

Service unavailable

## Was this helpful?

Thanks for the feedback!

```json
{"@context":"https://schema.org","@graph":[{"@type":"WebSite","@id":"https://developers.wpengine.com/#website","name":"WP Engine Product Documentation","url":"https://developers.wpengine.com/","description":"Resources for developing, deploying, and scaling on WP Engine.","inLanguage":"en-US","keywords":["API documentation","product documentation","headless WordPress","managed WordPress hosting"],"publisher":{"@id":"https://wpengine.com/#organization"}}]}
```
